Page MenuHomePhabricator

Set module/kernel options from CLI
Closed, WontfixPublicENHANCEMENT

Description

Need ability to set module and kernel options from the CLI. Hopefully, just need to set GRUB_CMDLINE_LINUX variable when running the vyatta-grub-setup script.

Details

Difficulty level
Normal (likely a few hours)
Version
1.2.0
Why the issue appeared?
Will be filled on close

Event Timeline

mrjester created this task.Aug 9 2016, 12:04 AM
syncer assigned this task to dmbaturin.Aug 21 2016, 5:03 PM
syncer triaged this task as Wishlist priority.
syncer edited projects, added VyOS 1.1.x (1.1.8); removed VyOS 1.1.x.
syncer added subscribers: VyOS 1.1.x, VyOS 2.0.x.
syncer edited subscribers, added: VyOS 1.2 Crux; removed: VyOS 2.0.x, VyOS 1.1.x.
c-po added a subscriber: c-po.Dec 30 2017, 8:40 PM

T419 also needs this capability.

@dmbaturin what you think about:

set system kernel module <modulename> option <parameter> <value>
set system kernel boot <parameter> <value>

Example:

set system kernel module vxlan option udp_port 1337
set system kernel boot ixgbe.allow_unsupported_sfp 1
c-po added a comment.Feb 8 2018, 8:20 PM

Another idea would be to wrap the system options in the python configuration script with e.g. a dictionary.

Example: set system kernel vxlan-port 1337
When using a configuration dictionary vxlan-port would be the key and the value would be a list consisting of the configuration file and options, e.g. ['/etc/modprobe.d/vyos_vxlan.conf', 'options vxlan vxlan_port=']

This results in a clean API which is applied to the appropriate filed sunder the hood as VyOS is used to do.

Another example:
set system kernel ixgbe-unsupported-sfp enable with an ixgbedictionary key has the value ['/etc/modprobe.d/vyos_ixgbe.conf', 'options ixgbe allow_unsupported_sfp=']

dmbaturin moved this task from Need Triage to Wishlist on the VyOS 1.2 Crux board.May 24 2018, 6:20 PM
syncer reassigned this task from dmbaturin to c-po.Oct 20 2018, 5:05 AM
syncer raised the priority of this task from Wishlist to Normal.
syncer added a subscriber: dmbaturin.
syncer changed the subtype of this task from "Task" to "Enhancement".Oct 20 2018, 7:00 AM
pasik added a subscriber: pasik.Nov 4 2018, 11:25 AM
dmbaturin set Version to 1.2.0.
dmbaturin set Why the issue appeared? to Will be filled on close.
dmbaturin removed a subscriber: VyOS 1.2 Crux.
c-po added a comment.Mar 8 2019, 6:39 PM

Both use cases mentioned above have been solved in a different maner.

c-po closed this task as Wontfix.Mar 8 2019, 6:40 PM
syncer edited projects, added Rejected; removed VyOS 1.3 Equuleus.Mar 16 2019, 7:10 PM